package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AmProblemAuditTypeEnum {
    ZS("1","值守"),
    ZF("2","执法"),
    FJ("3","分局"),
    SJ("4","市局"),
    ;

    private String value;
    private String desc;

    public static AmProblemAuditTypeEnum valueOfByValue(String value){
        for (AmProblemAuditTypeEnum anEnum : values()) {
            if (anEnum.getValue().equals(value)) {
                return anEnum;
            }
        }
        throw new IllegalArgumentException("no enum found:"+value);
    }

}
